
Application: gvSIG desktop - gvSIG bugs #4690
ZipException when adding a layer from the Catalog
09/28/2017 04:50 PM - Antonio Falciano

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Scripting
Target version: 2.4.0-2843 (rev. org.gvsig.desktop-2.0.???)
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

It's not possible to add a layer from Catalog because of a ZipException:

ERROR 280962 AWT-EventQueue-0 org.gvsig.andami.messages.NotificationManager - Can't create new instance of
'UNKNOW'.
Error getting or setting the state of an object.
Invalid stream or encoding: java.util.zip.ZipException: invalid block type (position:START_DOCUMENT null@0:0) caused by:
java.util.zip.ZipException: invalid block type
Can't create new instance of 'UNKNOW'.
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:121)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:498)
    at org.python.core.PyReflectedFunction.__call__(PyReflectedFunction.java:188)
    at org.python.core.PyReflectedFunction.__call__(PyReflectedFunction.java:206)
    [...]
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
Caused by: org.gvsig.tools.persistence.exception.PersistenceException: Error getting or setting the state of an object.
    at org.gvsig.tools.persistence.xml.XMLPersistenceManager.loadState(XMLPersistenceManager.java:108)
    at org.gvsig.tools.persistence.xml.ZipXMLPersistenceManager.loadState(ZipXMLPersistenceManager.java:103)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.loadState(AbstractPersistenceManager.java:513)
    at org.gvsig.tools.persistence.impl.AbstractPersistenceManager.getObject(AbstractPersistenceManager.java:117)
    ... 88 more
Caused by: org.xmlpull.v1.XmlPullParserException: Invalid stream or encoding: java.util.zip.ZipException: invalid block type
(position:START_DOCUMENT null@0:0) caused by: java.util.zip.ZipException: invalid block type
    at org.kxml2.io.KXmlParser.setInput(Unknown Source)
    at org.gvsig.tools.persistence.xml.XMLPersistenceManager.loadState(XMLPersistenceManager.java:106)
    ... 91 more

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 4723: Amplia... Closed 10/24/2017
History
#1 - 10/24/2017 09:59 PM - Joaquín  del Cerro Murciano
- Related to gvSIG feature requests #4723: Ampliar la funcionalidad del script del Catalogo. added

#2 - 11/29/2017 06:29 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2843 (rev. org.gvsig.desktop-2.0.???)
- Status changed from New to Outdated
